"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toast = exports.MaterializeModule = exports.MaterializeDirective = void 0;
var materialize_directive_1 = require("./materialize-directive");
Object.defineProperty(exports, "MaterializeDirective", { enumerable: true, get: function () { return materialize_directive_1.MaterializeDirective; } });
var materialize_module_1 = require("./materialize-module");
Object.defineProperty(exports, "MaterializeModule", { enumerable: true, get: function () { return materialize_module_1.MaterializeModule; } });
if (!("M" in window)) {
    throw new Error("Couldn't find Materialize object on window. It is created by the materialize-css library. Please import materialize-css before importing angular2-materialize.");
}
if (!("Waves" in window)) {
    throw new Error("Couldn't find Waves object on window. It is supposed to be created by the materialize-css library. Please import materialize-css before importing angular2-materialize.");
}
Waves.displayEffect();
function toast() {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    M.toast.apply(M, args);
}
exports.toast = toast;
if (!Element.prototype.remove) {
    Element.prototype.remove = function remove() {
        if (this.parentNode) {
            this.parentNode.removeChild(this);
        }
    };
}
