import { AfterViewInit, DoCheck, EventEmitter, OnChanges, OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
export interface MaterializeAction {
    action: string;
    params: [any];
}
export declare class MaterializeDirective implements AfterViewInit, DoCheck, OnChanges, OnDestroy {
    private _params;
    private _functionName;
    private previousValue;
    private previousDisabled;
    private _waitFunction;
    private _el;
    private changeListenerShouldBeAdded;
    init: EventEmitter<void>;
    private initialized;
    constructor();
    set materializeParams(params: any);
    set materializeActions(actions: EventEmitter<string | MaterializeAction>);
    set materialize(functionName: string);
    set materializeSelectOptions(_options: any);
    ngModel: any;
    ngAfterViewInit(): void;
    ngOnChanges(_unused?: any): void;
    ngOnDestroy(): void;
    ngDoCheck(): boolean;
    private performElementRemotion;
    private performElementUpdates;
    private performLocalElementUpdates;
    private isTooltip;
    private isSelect;
    private isDatePicker;
    private isTimePicker;
    private isChips;
    private isAutocomplete;
    private isTextarea;
    static ɵfac: i0.ɵɵFactoryDeclaration<MaterializeDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MaterializeDirective, "[materialize]", never, { "materializeParams": { "alias": "materializeParams"; "required": false; }; "materializeActions": { "alias": "materializeActions"; "required": false; }; "materialize": { "alias": "materialize"; "required": false; }; "materializeSelectOptions": { "alias": "materializeSelectOptions"; "required": false; }; "ngModel": { "alias": "ngModel"; "required": false; }; }, { "init": "init"; }, never, never, false, never>;
}
